> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# JSON Rundown EPG

Use this endpoint to get the published JSON EPG

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v1/channels/{id}/published/rundown": {
      "get": {
        "summary": "JSON Rundown EPG",
        "description": "Use this endpoint to get the published JSON EPG",
        "tags": [
          "EPG"
        ],
        "operationId": "getPlayoutSchedulerChannelPublishedJsonRundownEPG",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of Channel"
          },
          {
            "name": "start",
            "in": "query",
            "required": false,
            "schema": {
              "type": "number"
            },
            "description": "Timestamp in milliseconds of beginning of interval (defaults to current timestamp)"
          },
          {
            "name": "hours",
            "in": "query",
            "required": false,
            "description": "Number of hours of the interval to calculate",
            "schema": {
              "type": "number",
              "default": 24,
              "maximum": 24,
              "minimum": 1
            }
          },
          {
            "name": "mode",
            "in": "query",
            "schema": {
              "type": "string",
              "default": "full",
              "enum": [
                "full",
                "hybrid",
                "slim"
              ]
            },
            "required": false,
            "description": "full return every item without grouping them in collections.\nhybrid return items grouped into collections and single assets.\nslim return only collections."
          }
        ],
        "responses": {
          "200": {
            "description": "Return's a channel published version's rundown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1channels~1%7Bid%7D~1draft~1rundown/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Channel not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```